<?php 
header("Access-Control-Allow-Origin: *");
header("Content-Type:application/json; charset=UTF-8");
header("Access-Control-Allow-Methods:POST");
header("Access-Control-Max-Age:3600");
header("Access-Control-Allow-Headers:Content-Type,Access-Control-Allow-Headers,Authorization,X-Requested-With");

include_once '../Database.php';
include_once 'comment.php';

$database = new DataBase();
$db = $database->getConnection();

$usuario = new Comment($db);
try{
	$data = json_decode(file_get_contents("php://input"));
	if(!isset($data)){
	    return json_encode(array("Error"=>true,"Mensaje"=>"Los  valores no son validos"));
	}
	//print_r($data);
	
	$nombre = isset($data->nombre)?$data->nombre:null;
	$ads = isset($data->ads)?$data->ads:null;
	$email = isset($data->correo)?$data->correo:'';
	$comentario = isset($data->comentario)?$data->comentario:'';
	$puntos = isset($data->puntos)?$data->puntos:'';
	
	$query = "INSERT INTO ".$usuario->table_name." SET anunciosId=:ads, blogNombre=:nombre, blogEmail=:email, blogComentario=:comentario, blogPuntuacion=:puntos";
	$stm = $usuario->conn->prepare($query);
	$stm->bindParam(":ads",$ads);
	$stm->bindParam(":nombre",$nombre);
	$stm->bindParam(":email",$email);
	$stm->bindParam(":comentario",$comentario);
	$stm->bindParam(":puntos",$puntos);
	
	$stmt = $usuario->Insert($stm);
	if($stmt !==false){
		echo json_encode(array("Error"=>false,"Id"=>$stmt));
	}else{
		echo json_encode(array("Error"=>true,"Mensaje"=>"No se ha creado el registro","datos"=>$data));
	}
}catch(Exception $ex){
	echo json_encode(array("Error"=>true,"Mensaje"=>"No se ha podido procesar la solicitud"));
}


?>